> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fourvenues.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get reseller event

> Returns one event by its identifier.



## OpenAPI

````yaml get /resellers/events/{id}
openapi: 3.0.0
info:
  title: Reseller API
  version: 1.0.0
  description: API for validating resellers using a barcode
servers:
  - url: https://api-alpha.fourvenues.com
    description: Alpha
  - url: https://api.fourvenues.com
    description: Production
security: []
paths:
  /resellers/events/{id}:
    get:
      summary: Get reseller event
      description: Returns one event by its identifier.
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            example: abcdefghijk1234567890
          description: Event identifier
      responses:
        '200':
          description: Successful request
          headers:
            Content-Type:
              description: Response content type
              schema:
                type: string
                example: application/json
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    example: abcdefghijk1234567890
                  name:
                    type: string
                    example: Saturdays at Ginger Klub
                  type:
                    type: string
                    example: PARTY
                  sealed_tickets_available_at:
                    type: string
                    format: date-time
                    nullable: true
                    description: >-
                      When the tickets of this event stop being sealed. Null
                      when the event does not schedule ticket delivery.
                    example: '2024-02-29T21:00:00.000Z'
                  swap_available_until:
                    type: string
                    format: date-time
                    example: '2024-02-29T23:00:00.000Z'
                  date:
                    type: object
                    properties:
                      start:
                        type: string
                        format: date-time
                        example: '2024-02-29T23:00:00.000Z'
                      end:
                        type: string
                        format: date-time
                        example: '2024-03-01T06:30:00.000Z'
                  ticket_types:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          example: abcdefghijk1234567890
                        name:
                          type: string
                          example: General
                        swap_available_until:
                          type: string
                          format: date-time
                          example: '2024-02-29T23:00:00.000Z'
                        price:
                          type: integer
                          description: Price in minor units of the currency
                          example: 2000
                        service_fee:
                          type: integer
                          description: Service fee in minor units of the currency
                          example: 200
                        currency:
                          type: string
                          example: EUR
                        date:
                          type: object
                          properties:
                            start:
                              type: string
                              format: date-time
                              example: '2024-02-29T23:00:00.000Z'
                            end:
                              type: string
                              format: date-time
                              example: '2024-03-01T06:30:00.000Z'
                  venue:
                    type: object
                    properties:
                      id:
                        type: string
                        example: abcdefghijk1234567890
                      name:
                        type: string
                        example: Ginger Klub
                      city:
                        type: string
                        example: Valencia
                      country:
                        type: string
                        example: ESP
        '401':
          description: Unauthorized request
          content:
            application/json:
              schema:
                type: object
                properties:
                  valid:
                    type: boolean
                    example: false
                  swappable:
                    type: boolean
                    example: false
                  error:
                    type: string
                    example: UNAUTHORIZED
        '404':
          description: >-
            Event not found. Also returned when the event belongs to an
            organization the API key cannot access.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: EVENT_NOT_FOUND
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization

````